co.aikar.commands

## Class JDACommandPermissionResolver

- java.lang.Object
- - co.aikar.commands.JDACommandPermissionResolver

All Implemented Interfaces:
  CommandPermissionResolver

    public class JDACommandPermissionResolver
    extends Object
    implements CommandPermissionResolver

### Constructor Summary

Constructors
Constructor and Description
`JDACommandPermissionResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasPermission(JDACommandManager manager, JDACommandEvent event, String permission)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JDACommandPermissionResolver

    public JDACommandPermissionResolver()

### Method Detail

#### hasPermission

    public boolean hasPermission(JDACommandManager manager,
                                 JDACommandEvent event,
                                 String permission)

Specified by:
  `hasPermission` in interface `CommandPermissionResolver`